part of simulator_eurl_sasu;


ServiceDividend serviceDividend = new ServiceDividend();

class ServiceDividend {

  Logger logger = new Logger('simulator.ServiceDividend');

  Dividend computeDividend(double dividendGross) {

    double rateCsgCrds = 15.50;
    double taxDividend = dividendGross * (rateCsgCrds / 100);

    double rateCsgCrdsDeductible = 5.10;
    double csgDeductible = dividendGross * (rateCsgCrdsDeductible / 100);

    double dividendAfterAbatement = dividendGross - (dividendGross * 0.40);

    double netTaxable = dividendAfterAbatement - csgDeductible;

    return new Dividend(dividendGross, taxDividend, dividendGross - taxDividend, netTaxable);
  }
}

